<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<link REL="stylesheet" HREF="styles.css">
<title>ALP Settings</title>
</head>

<body topmargin="0" leftmargin="0">
<table border="0" width="100%" cellspacing="0" cellpadding="0" height="100%">
  <tr>
    <td bgcolor="buttonface" width="150" valign="top" align="left"><img border="0" src="ALP-logo.gif"></td>
    <td width="100%" valign="bottom" align="right" class="bigFont" style="border-bottom: 1 solid buttontext"><i>
        Configuration
    </i></td>
  </tr>
  <tr>
    <td width="150" valign="top" align="center" height="100%" bgcolor="buttonface">
    <!-- #include file="menu-main.htm" -->
    </td>
    <td width="100%" valign="top" height="100%">
    <table border="0" width="100%" cellspacing="0" cellpadding="4">
      <tr>
        <td width="100%" valign="top">
             <P>Before reading details in the ALP documentation you can take a look at this chapter and learn about the
             base idea of the ALP configuration.</P>
             <P>ALP uses 3 types of configurations - <B>site</B>, <B>application</B> and <B>directory</B>. Each 
             configuration type is kept in two places - default and local (in the particular application). If certain
             application does not define its own/local settings about certain option the defaults take effect.
             </P>
             <P>The configurations are in textual files in our text configuration format (supported by ConfigFile 
             component for example). The default settings are kept in the ALP installation directory and it is strongly
             recommended to keep them unchanged. The local application settings are in the corresponding directory of the 
             application and are merged with the defaults at run time.             
             </P>
             <P>File names are:<BR>
                <B>alp.site</B> its existence defines root point of an ALP virtual site (ALP site). May contain site settings,
                license and some miscellaneous options.<BR>
                <B>alp.application</B> its existence defines ALP/ASP application root point. All the files and subdirectories 
                in the directory containing the file form a separat ALP/ASP application. May contain settings for the application,
               the processing options for the files and so on.<BR>
               <B>alp.directory</B> defines options for the directory and its subdirectories. This includes default documents - 
               the file(s) that will be opened if no file is specified in the URL, permissions - execute, read, browse, cache 
               and so on.
             </P>
             <P>alp.application and alp.site file are important even as mere existence in certain location. E.g. an empty
             file defines the bounds of a site or applicaiton even if no settings are included in it. In such cases the application
             or site inherit the default settings.
             </P>
             <P>So, the ALP URL represents the effect of the alp.site files. If for example you have an alp.site file in the
             c:\dir1\app directory. Then URL like this: alp://c:/dir1/app/subdir/file.asp will be presented to the ASP page as
             c:/dir1/app - host name, /subdir/file.asp - path in the site. Thus ALP simulates virtual sites without losing the
             natural information that comes from the file system location.
             </P>
             <P>Read more in the ALP documentation. See the ALP URL, and ALP Configuration chapters.
        </td>
      </tr>
    </table>
    </td>
  </tr>
  <!-- #include file="footer.htm" -->
</table>


</body>

</html>
