<%  
    Dim sf
    Set sf = Server.CreateObject("newObjects.utilctls.SFMain")
    
    Function GetParentPathOf(str)
        Dim pos
        pos = InStrRev(str,"\",Len(str) - 1)
        If pos = 0 Then 
            GetParentPathOf = ""
        Else
            GetParentPathOf = Left(str,pos)
        End If
    End Function
    Function CorrectPath(s)
        If Right(s,1) <> "\" Then
            CorrectPath = s & "\"
        Else
            CorrectPath = s
        End If
    End Function
    Function EnsurePath(s)
        Dim str
        If Right(s,1) <> "\" Then
            str = s
        Else
            str = Left(s,Len(s)-1)
        End If
        If sf.Exists(str) = 1 Then
            str = GetParentPathOf(str)
        End If
        EnsurePath = str
    End Function
   

    Dim pathFor
    pathFor = CStr(Request("Path"))
    pathFor = EnsurePath(pathFor)
    pathFor = CorrectPath(pathFor)
    
    

    ' Structure variables
    Dim dirApp, dirSite, dirDir
    dirApp = ""
    dirSite = ""
    dirDir = ""
    Dim fileApp, fileSite, fileDir
    fileApp = ""
    fileSite = ""
    fileDir = ""
    Dim bApp, bSite, bDir
    bApp = False
    bSite = False
    bDir = False

    ' Determine the structure
    Dim curPath, strPath
    curPath = pathFor
    Do  
        If Not bDir Then
            If sf.FileExists(curPath & "alp.directory") Then
                dirDir = curPath
                fileDir = curPath & "alp.directory"
                bDir = True
            End If
        End If
        If Not bApp Then
            If sf.FileExists(curPath & "alp.application") Then
                dirApp = curPath
                fileApp = curPath & "alp.application"
                bApp = True
            End If
        End If
        If Not bSite Then
            If sf.FileExists(curPath & "alp.site") Then
                dirSite = curPath
                fileSite = curPath & "alp.site"
                If Not bApp Then
                    dirApp = curPath
                    bApp = True
                End If
                If Not bDir Then
                    dirDir = curPath    
                    bDir = True
                End If
                bSite = True
            End If
        End If
        
        If bSite Then Exit Do
        
        If UCase(CorrectPath(sf.GetDriveName(curPath))) = UCase(curPath) Then
            dirSite = curPath
            If Not bApp Then
                dirApp = curPath
                bApp = True
            End If
            If Not bDir Then
                dirDir = curPath    
                bDir = True
            End If
            bSite = True
            Exit Do
        End If
        
        strPath = GetParentPathOf(curPath)
        If strPath = "" Then
            ' This is the root
            If Not bApp Then
                dirApp = curPath
                bApp = True
            End If
            If Not bDir Then
                dirDir = curPath    
                bDir = True
            End If
            dirSite = curPath
            bSite = True
            Exit Do
        Else
            curPath = strPath
        End If
    Loop
    
    ' Now we know all the parts
  
    Function GetModuleType(node)
        Select Case node.Info.Class
            Case "CG.newObjects.ScriptGen"
                If node("ScriptLanguage") = "ASP" Or node("ScriptLanguage") = "ASA" Then
                    GetModuleType = "ASP"
                Else
                    GetModuleType = "RAW"
                End If
            Case "CG.newObjects.GateCGI"
                GetModuleType = "CGI"
            Case "CG.newObjects.SimpleTemplate"
                GetModuleType = "TML"
            Case Else
                GetModuleType = "NIL"
        End Select
    End Function
    
    Function Checked(x)
        Checked = ""
        If IsNumeric(x) Then
            If x <> 0 Then Checked = "CHECKED"
        End If
    End Function
    Sub GetCheckBox(name,sect,val)
        If Request(name).Count > 0 Then
            sect(val) = CLng(1)
        Else
            sect(val) = 0
        End If
    End Sub
    
    Function OpenCreateSection(cfg,root,path)
        Dim arr
        Dim cur
        arr = Split(path,"/")
        Set cur = root
        For I = LBound(arr) To UBound(arr)
            If Not IsObject(cur(arr(I))) Then
                cur.Add arr(I), cfg.CreateSection
            End If
            Set cur = cur(arr(I))
        Next
        Set OpenCreateSection = cur
    End Function

%>